/*
标准格式：置顶菜单栏、底部菜单栏、主内容区域（卡片式，3列，可换行）
*/

* {
    padding: 0;
    box-sizing: border-box;
    /* 让内边距和边框的宽度和高度都包含在内 */
}

body {
    margin: 0;
    background-color: #e6d6d6;
    font-family: Arial, sans-serif;
    padding-top: 0px;
    /* 为顶部导航留出空间，暂不留 */
    padding-bottom: 40px;
    /* 为底部留出空间 */
}

table {
    border-collapse: collapse;
    border: #7b97d1 1px solid;
    /* 合并边框 */
    margin: 10px 0;
    /* 外边距 */
}

table,
th,
td {
    border: 1px solid #7b97d1;
    /* 边框 */
    padding: 5px;
    /* 内边距 */
}
/* 鼠标移动到图片上时图片浮动 */
.float-on-hover {
    transition: transform 0.2s ease;
}
.float-on-hover:hover {
    transform: translateY(-10px);
}
.lb {
  font-size: 12px;
  color: rgb(136, 136, 136);
}
.cont {
  font-size: 15px;
  color: rgb(5, 133, 253);
}
.hf{
    margin-left: 15px;
}
.logo {
    font-size: 30px;
    color: blue;
    float: left;
    margin: 0 0 0 20px;

}
.win{
    width:18px;
    height:18px;
    margin-left: 10px;
    cursor: pointer;
}
.btn {
    padding: 5px 10px;
    border: none;
    background-color: #007bff;
    color: white;
    border-radius: 4px;
    cursor: pointer;
    text-align: center;
    width: 4em;
    box-sizing: border-box;
    margin-right: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

/*菜单栏--置顶*/
.menu-top {
    position: fixed;
    justify-content: center;
    top: 0;
    padding: 5px;
    width: 100%;
    height: 55px;
    background: linear-gradient(to bottom, #ffffff, #c9a088);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 3;
}
/*菜单栏--底部*/
.menu-foot {
    position: fixed;
    justify-content: center;
    bottom: 0;
    padding: 2px;
    width: 100%;
    height: 50px;
    background: linear-gradient(to bottom, #ffffff, #c9a088);
    z-index: 3;
}
/* 菜单样式 */
.menu{
    display: flex;
    color: blue;
}
.menu-item{
    display: inline-block;
    margin-right: 1px; /* 为链接之间添加间距 */
}
.menu a {
    display: block;
    color: blue;
    padding: 10px 10px;
    text-decoration: none;
}
.menu a:hover {
    background-color: #00BFFF;
    border-radius: 3px;
    color: black;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
}
.menu a.active {
    background-color: #4CAF50;
    color: white;
}
.left{
    float: left;
    margin-left:60px;
}
.right{
    float: right;
    margin-right:60px;
}


/* 主内容区域 */
.content {
    margin-top: 55px;
    padding: 20px;
    position: relative;
    overflow-y: auto;
}
/* 内容区域--左侧*/
.content-left {
    position: fixed;
    margin: 0px;
    padding: 3px 10px;
    left: 0;
    width: 100%;
}
/* 内容区域--右侧*/
.content-right {
    display: none;
    position: fixed;
    margin: 0px;
    padding: 3px 10px;
    right: 0;
}
.reply {
    background: linear-gradient(to bottom, #ffffff, #929290);
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    padding: 15px;
    width: 95%;
    margin: 10px;
    transition: transform 0.2s;
    height: 80vh;
}
.card {
    background: linear-gradient(to bottom, #ffffff, #c7d2e4);
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    padding: 15px;
    width: 30%;
    margin: 10px;
    min-width: 300px;
    min-height: 200px;
    transition: transform 0.2s;
}

.card h3 {
    margin-top: 0;
    scroll-margin-top: 60px;
    /*内容定位时避免与导航栏重叠*/
}

/*鼠标移到 .card 区域时，只有 .card h3 元素变为红色*/
.card:hover h3 {
    color: red;
}

.card a {
    color: #333;
    text-decoration: none;
}

.card a:hover {
    color: #007BFF;
}


/* 响应式布局，窗口小于600px时，改为上下布局*/
@media screen and (max-width:1000px) {
    .card {
        width: 100%;
    }
}